> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# acceptTermsAndCondition

> The `acceptTermsAndCondition` API is used to record a user's acceptance of the Terms and Conditions, which is mandatory for regulatory compliance before proceeding with any onboarding steps.

### What it does:

- Records user's acceptance of current Terms and Conditions
- Enables progression to subsequent onboarding steps

### Note:

This a **mandatory step** in the user onboarding flow. Users must complete this step before progressing any further.



## OpenAPI

````yaml put /userOnboarding/acceptTermsAndCondition
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /userOnboarding/acceptTermsAndCondition:
    put:
      tags: []
      summary: acceptTermsAndCondition
      description: >-
        The `acceptTermsAndCondition` API is used to record a user's acceptance
        of the Terms and Conditions, which is mandatory for regulatory
        compliance before proceeding with any onboarding steps.


        ### What it does:


        - Records user's acceptance of current Terms and Conditions

        - Enables progression to subsequent onboarding steps


        ### Note:


        This a **mandatory step** in the user onboarding flow. Users must
        complete this step before progressing any further.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: acceptTermsAndCondition
                  default: acceptTermsAndCondition
                  enum:
                    - acceptTermsAndCondition
                  example: acceptTermsAndCondition
                userId:
                  type: string
              required:
                - method
                - userId
            example:
              method: acceptTermsAndCondition
              userId: D34A5E5B-F8D3-4486-AF41-BE281C7E9B5B
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  user:
                    type: object
                    properties:
                      userId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - userId
                      - status
                      - message
                required:
                  - user
              examples:
                '1':
                  summary: Success
                  value:
                    user:
                      userId: D34A5E5B-F8D3-4486-AF41-BE281C7E9B5B
                      status: Ready
                      message: Terms and conditions accepted successfully.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: Failed to accept terms and conditions.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````